package testing;

import java.io.FileInputStream;
import java.io.ObjectInputStream;

import messageServerP.ManagedUser;

import bootstrapP.ManagedMessageServer;
import bootstrapP.RegisteredUser;

public class BackupTest {
	public static void main (String[] args) throws Exception{
		FileInputStream fis = new FileInputStream(args[0]);
		ObjectInputStream ois = new ObjectInputStream(fis);
		while (fis.available()>0){
			Object obj = ois.readObject();
			if (obj instanceof bootstrapP.ManagedMessageServer){
				ManagedMessageServer ms = (ManagedMessageServer)obj;
				System.out.println("Letto MessageServer - hostname:"+ms.getIP().getCanonicalHostName()+" udp:"+ms.getUDPPort()+" rmi:"+ms.getRMIPort());
			}
			if (obj instanceof bootstrapP.RegisteredUser){
				RegisteredUser reg = (RegisteredUser)obj;
				System.out.println("Letto RegisteredUser- nickname:"+reg.getNick());
			}
			
			if (obj instanceof messageServerP.ManagedUser){
				ManagedUser man = (ManagedUser)obj;
				System.out.println("Letto ManagedUser- nickname:"+man.getNick());
			}
			
		}
		System.out.println("Fine file");
	}
}
