package testing;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.InetAddress;
import java.security.Principal;
import java.util.Iterator;
import java.util.List;
import java.util.Vector;

import messageServerP.ManagedUser;

import bootstrapP.RegisteredUser;

public class FileBackup {
	
	public static void main(String[] args) throws IOException, ClassNotFoundException{
		File usersFile = new File("provaUtenti.bak");
		usersFile.delete();
		List<ManagedUser> rUsers = new Vector<ManagedUser>();
		
	
		rUsers.add(new ManagedUser("marco",InetAddress.getLocalHost(),100,"ciao1"));
		rUsers.add(new ManagedUser("palla",InetAddress.getLocalHost(),200,"ciao2"));
		rUsers.add(new ManagedUser("drugo",InetAddress.getLocalHost(),300,"ciao3"));
		
		System.out.println("posizione di marco:"+rUsers.indexOf(new ManagedUser("marco",InetAddress.getLocalHost(),100,"ciao1")));
		System.out.println("posizione di palla:"+rUsers.indexOf(new ManagedUser("palla",InetAddress.getLocalHost(),100,"ciao1")));
		
		Iterator<ManagedUser> usersIt = rUsers.iterator();
		ObjectOutputStream oos = new ObjectOutputStream(new FileOutputStream(usersFile));
	
		//scrivo 3 utenti nel file
		while (usersIt.hasNext()){
			oos.writeObject(usersIt.next());
		}
		oos.flush();
		oos.close();
	
		
		printContent(usersFile);
		
		//scrivo 1 utente nel file
		oos = new ObjectOutputStream(new FileOutputStream(usersFile));
		oos.writeObject(new ManagedUser("marco",null,100,"ciao1"));
		oos.flush();
		oos.close();
		
		printContent(usersFile);
			
	}
	
	public static void printContent(File usersFile) throws IOException, ClassNotFoundException{
		FileInputStream fis = new FileInputStream(usersFile);
		ObjectInputStream ois = new ObjectInputStream(fis);
		
		while(fis.available()>0){
		ManagedUser ui = (ManagedUser) ois.readObject();
		System.out.println("User letto: "+ui.getNick());
		}
		ois.close();
		fis.close();
	}
}
